<?php

function phosphor_font_style()
{
	global $theme_settings;

	if (!$theme_settings['fonts']['font_family']['value']) {
		// We need to enqueue a font that will be used throughout the site. If the user has already chosen one that can replace this then there is no need to enqueue it.
		wp_enqueue_style("open-sans", "http://fonts.googleapis.com/css?family=Open+Sans:400,300", null, "1.0", "all");
	}
}

add_action('wp_enqueue_scripts', 'phosphor_font_style');

function phosphor_remove_skin_from_printed_styles($styles)
{
	unset($styles['skin']);

	return $styles;
}

add_filter('kanary_customization_css_styles', 'phosphor_remove_skin_from_printed_styles');

function phosphor_skin_body_class($classes)
{
	global $theme_settings;

	// Add the skin class.
	if ($theme_settings['styling']['skin']) {
		$classes[] = sanitize_html_class($theme_settings['styling']['skin']);
	}

	return $classes;
}

add_filter('body_class', 'phosphor_skin_body_class');

function phosphor_add_skin_option($fields)
{
	$skins = array(
		''                => __('Emerald Water', 'phosphor'),
		'lemon-twist'     => __('Lemon Twist', 'phosphor'),
		'cherry'          => __('Cherry', 'phosphor'),
		'sunrise'         => __('Sunrise', 'phosphor'),
		'bloody-mary'     => __('Bloody Mary', 'phosphor'),
		'amethyst'        => __('Amethyst', 'phosphor'),
		'rose-water'      => __('Rose Water', 'phosphor'),
		'aqua-marine'     => __('Aqua Marine', 'phosphor'),
		'mango-pulp'      => __('Mango Pulp', 'phosphor'),
		'electric-violet' => __('Electric Violet', 'phosphor'),
		'mojito'          => __('Mojito', 'phosphor'),
		'virgin-america'  => __('Virgin America', 'phosphor')
	);

	$fields['styling'] = array(
		'skin' => array(
			'label'   => __('Skin', 'phosphor'),
			'type'    => 'select',
			'choices' => $skins
		)
	);

	return $fields;
}

add_filter('kanary_setting_fields', 'phosphor_add_skin_option');

function phosphor_change_customizer_titles($translated_text, $text)
{
	if ($translated_text != $text || strpos($text, 'Kanary') === false) {
		return $translated_text;
	}

	return str_replace('Kanary', 'Phosphor', $text);
}

add_filter('gettext', 'phosphor_change_customizer_titles', 20, 2);

function phosphor_update_credit_theme_urls($theme_urls)
{
	return str_replace('kanary', 'phosphor-theme', $theme_urls);
}

add_filter('kanary_credit_theme_urls', 'phosphor_update_credit_theme_urls');

function phosphor_change_option_id()
{
	return 'phosphor_theme_options';
}
add_filter('kanary_option_id', 'phosphor_change_option_id');